--
-- Increased Diesel Price
--
-- @author tametsi

IncreasedDieselPrice = {}

function IncreasedDieselPrice:init()
    FSBaseMission.loadMap = Utils.appendedFunction(FSBaseMission.loadMap, IncreasedDieselPrice.mapLoaded)
end

function IncreasedDieselPrice:mapLoaded()
    local ftDiesel = g_fillTypeManager:getFillTypeByName("DIESEL")
    if ftDiesel == nil then
        print("[ERROR] IncreasedDieselPrice: Not able to get Filltype by name 'DIESEL'")
        return
    end

    ftDiesel.pricePerLiter = 2.1
    print("[INFO] IncreasedDieselPrice: Set price per liter DIESEL to " .. ftDiesel.pricePerLiter)
end

IncreasedDieselPrice:init()
